package test;

import java.io.Serializable;

public class CustomObject
        implements Serializable, Comparable<CustomObject>
{
    private static final long serialVersionUID = 4214641970806777487L;

    private final int number;

    public CustomObject(int number)
    {
        this.number = number;
    }

    public int getNumber()
    {
        return number;
    }

    public int compareTo(CustomObject o)
    {
        return this.number < o.number ? -1 : this.number == o.number ? 0 : 1;
    }
}
