package test.client;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import test.CustomObject;
import test.TestInterface;

public class TestServlet
        extends HttpServlet
{
    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException
    {
        try {
            TestInterface bean = (TestInterface) new InitialContext().lookup("test.TestInterface");
            CustomObject[] a = new CustomObject[]{
                    new CustomObject(42), new CustomObject(42),
                    new CustomObject(10), new CustomObject(99)
            };
            response.setContentType("text/plain");
            PrintWriter out = response.getWriter();
            // The first two calls will fail.
            out.println(bean.sort(Arrays.asList(a)));
            out.println(bean.sort((Object[]) a));
            out.println(bean.sort(a));
        } catch (NamingException e) {
            throw new ServletException(e);
        }
    }
}
