package test.server;

import java.util.*;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import test.TestInterface;
import test.CustomObject;

@Stateless
@Remote(TestInterface.class)
public class TestBean
        implements TestInterface
{
    public <T extends Comparable<T>> Collection<T> sort(Collection<T> c)
    {
        List<T> l = new ArrayList<T>(c);
        Collections.sort(l);
        return l;
    }

    public Object[] sort(Object[] a)
    {
        Arrays.sort(a);
        return a;
    }

    public CustomObject[] sort(CustomObject[] a)
    {
        Arrays.sort(a);
        return a;
    }
}

